---
title: '`glab dependency-firewall`'
stage: AI Coding
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Configure and monitor GitLab Dependency Firewall for local package managers.

## Synopsis

Commands to configure GitLab Dependency Firewall for local package
managers, run local package managers with a summary of blocked or
flagged packages, and view activity during the current session.

This feature is in beta and might not be ready for production use.
It might be unstable and breaking changes can occur outside of major releases.
For more information, see
<https://docs.gitlab.com/policy/development_stages_support/>.

## Aliases

```plaintext
df
```

## Options inherited from parent commands

```plaintext
  -h, --help   Show help for this command.
```

## Subcommands

- [`ci-summary`](ci-summary.md)
